Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.javaeewebservicesclient12
Interface ServiceRefHandlerType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  ServiceRefHandlerTypeImpl

    public interface ServiceRefHandlerType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `service-ref_handlerType` xsd type

Original Documentation:

Declares the handler for a port-component. Handlers can access the
init-param name/value pairs using the HandlerInfo interface. If
port-name is not specified, the handler is assumed to be associated
with all ports of the service.
Used in: service-ref

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.lang.String` | `getHandlerClass()` Returns the `handler-class` element
`java.lang.String` | `getHandlerName()` Returns the `handler-name` element
`java.util.List<IconType<ServiceRefHandlerType<T>>>` | `getIconList()` Returns all `icon` elements
`java.util.List<ParamValueType<ServiceRefHandlerType<T>>>` | `getInitParamList()` Returns all `init-param` elements
`java.util.List<java.lang.String>` | `getPortNameList()` Returns all `port-name` elements
`java.util.List<java.lang.String>` | `getSoapHeaderList()` Returns all `soap-header` elements
`java.util.List<java.lang.String>` | `getSoapRoleList()` Returns all `soap-role` elements
`IconType<ServiceRefHandlerType<T>>` | `icon()` Returns the `icon` element
`ParamValueType<ServiceRefHandlerType<T>>` | `initParam()` Returns the `init-param` element
`ServiceRefHandlerType<T>` | `removeAllDescription()` Removes the `description` element
`ServiceRefHandlerType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`ServiceRefHandlerType<T>` | `removeAllIcon()` Removes all `icon` elements
`ServiceRefHandlerType<T>` | `removeAllInitParam()` Removes all `init-param` elements
`ServiceRefHandlerType<T>` | `removeAllPortName()` Removes the `port-name` element
`ServiceRefHandlerType<T>` | `removeAllSoapHeader()` Removes the `soap-header` element
`ServiceRefHandlerType<T>` | `removeAllSoapRole()` Removes the `soap-role` element
`ServiceRefHandlerType<T>` | `removeHandlerClass()` Removes the `handler-class` element
`ServiceRefHandlerType<T>` | `removeHandlerName()` Removes the `handler-name` element
`ServiceRefHandlerType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ServiceRefHandlerType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`ServiceRefHandlerType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`ServiceRefHandlerType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`ServiceRefHandlerType<T>` | `setHandlerClass(java.lang.String handlerClass)` If not already created, a new `handler-class` element with the given value will be created.
`ServiceRefHandlerType<T>` | `setHandlerName(java.lang.String handlerName)` If not already created, a new `handler-name` element with the given value will be created.
`ServiceRefHandlerType<T>` | `setPortName(java.lang.String portName)` Creates a new `port-name` element
`ServiceRefHandlerType<T>` | `setPortNameList(java.lang.String... values)` Creates for all String objects representing `port-name` elements, a new `port-name` element
`ServiceRefHandlerType<T>` | `setSoapHeader(java.lang.String soapHeader)` Creates a new `soap-header` element
`ServiceRefHandlerType<T>` | `setSoapHeaderList(java.lang.String... values)` Creates for all String objects representing `soap-header` elements, a new `soap-header` element
`ServiceRefHandlerType<T>` | `setSoapRole(java.lang.String soapRole)` Creates a new `soap-role` element
`ServiceRefHandlerType<T>` | `setSoapRoleList(java.lang.String... values)` Creates for all String objects representing `soap-role` elements, a new `soap-role` element

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    ServiceRefHandlerType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `ServiceRefHandlerType`

### setDescriptionList

    ServiceRefHandlerType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ServiceRefHandlerType`

### removeAllDescription

    ServiceRefHandlerType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `ServiceRefHandlerType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setDisplayName

    ServiceRefHandlerType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Returns:
    the current instance of `ServiceRefHandlerType`

### setDisplayNameList

    ServiceRefHandlerType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `ServiceRefHandlerType`

### removeAllDisplayName

    ServiceRefHandlerType<T> removeAllDisplayName()

  Removes the `display-name` element

  Returns:
    the current instance of `ServiceRefHandlerType`

### getDisplayNameList

    java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Returns:
    list of `display-name`

### removeAllIcon

    ServiceRefHandlerType<T> removeAllIcon()

  Removes all `icon` elements

  Returns:
    the current instance of `ServiceRefHandlerType`

### icon

    IconType<ServiceRefHandlerType<T>> icon()

  Returns the `icon` element

  Returns:
    the node defined for the element `icon`

### getIconList

    java.util.List<IconType<ServiceRefHandlerType<T>>> getIconList()

  Returns all `icon` elements

  Returns:
    list of `icon`

### setHandlerName

    ServiceRefHandlerType<T> setHandlerName(java.lang.String handlerName)

  If not already created, a new `handler-name` element with the given value will be created. Otherwise, the existing `handler-name` element will be updated with the given value.

  Returns:
    the current instance of `ServiceRefHandlerType`

### removeHandlerName

    ServiceRefHandlerType<T> removeHandlerName()

  Removes the `handler-name` element

  Returns:
    the current instance of `ServiceRefHandlerType`

### getHandlerName

    java.lang.String getHandlerName()

  Returns the `handler-name` element

  Returns:
    the node defined for the element `handler-name`

### setHandlerClass

    ServiceRefHandlerType<T> setHandlerClass(java.lang.String handlerClass)

  If not already created, a new `handler-class` element with the given value will be created. Otherwise, the existing `handler-class` element will be updated with the given value.

  Returns:
    the current instance of `ServiceRefHandlerType`

### removeHandlerClass

    ServiceRefHandlerType<T> removeHandlerClass()

  Removes the `handler-class` element

  Returns:
    the current instance of `ServiceRefHandlerType`

### getHandlerClass

    java.lang.String getHandlerClass()

  Returns the `handler-class` element

  Returns:
    the node defined for the element `handler-class`

### removeAllInitParam

    ServiceRefHandlerType<T> removeAllInitParam()

  Removes all `init-param` elements

  Returns:
    the current instance of `ServiceRefHandlerType`

### initParam

    ParamValueType<ServiceRefHandlerType<T>> initParam()

  Returns the `init-param` element

  Returns:
    the node defined for the element `init-param`

### getInitParamList

    java.util.List<ParamValueType<ServiceRefHandlerType<T>>> getInitParamList()

  Returns all `init-param` elements

  Returns:
    list of `init-param`

### setSoapHeader

    ServiceRefHandlerType<T> setSoapHeader(java.lang.String soapHeader)

  Creates a new `soap-header` element

  Returns:
    the current instance of `ServiceRefHandlerType`

### setSoapHeaderList

    ServiceRefHandlerType<T> setSoapHeaderList(java.lang.String... values)

  Creates for all String objects representing `soap-header` elements, a new `soap-header` element

  Parameters:
    `list` - of `soap-header` objects
  Returns:
    the current instance of `ServiceRefHandlerType`

### removeAllSoapHeader

    ServiceRefHandlerType<T> removeAllSoapHeader()

  Removes the `soap-header` element

  Returns:
    the current instance of `ServiceRefHandlerType`

### getSoapHeaderList

    java.util.List<java.lang.String> getSoapHeaderList()

  Returns all `soap-header` elements

  Returns:
    list of `soap-header`

### setSoapRole

    ServiceRefHandlerType<T> setSoapRole(java.lang.String soapRole)

  Creates a new `soap-role` element

  Returns:
    the current instance of `ServiceRefHandlerType`

### setSoapRoleList

    ServiceRefHandlerType<T> setSoapRoleList(java.lang.String... values)

  Creates for all String objects representing `soap-role` elements, a new `soap-role` element

  Parameters:
    `list` - of `soap-role` objects
  Returns:
    the current instance of `ServiceRefHandlerType`

### removeAllSoapRole

    ServiceRefHandlerType<T> removeAllSoapRole()

  Removes the `soap-role` element

  Returns:
    the current instance of `ServiceRefHandlerType`

### getSoapRoleList

    java.util.List<java.lang.String> getSoapRoleList()

  Returns all `soap-role` elements

  Returns:
    list of `soap-role`

### setPortName

    ServiceRefHandlerType<T> setPortName(java.lang.String portName)

  Creates a new `port-name` element

  Returns:
    the current instance of `ServiceRefHandlerType`

### setPortNameList

    ServiceRefHandlerType<T> setPortNameList(java.lang.String... values)

  Creates for all String objects representing `port-name` elements, a new `port-name` element

  Parameters:
    `list` - of `port-name` objects
  Returns:
    the current instance of `ServiceRefHandlerType`

### removeAllPortName

    ServiceRefHandlerType<T> removeAllPortName()

  Removes the `port-name` element

  Returns:
    the current instance of `ServiceRefHandlerType`

### getPortNameList

    java.util.List<java.lang.String> getPortNameList()

  Returns all `port-name` elements

  Returns:
    list of `port-name`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD